Package wx :: Class AboutDialogInfo

[frames | no frames]

## Type AboutDialogInfo

    object --+
             |
            AboutDialogInfo

`wx.AboutDialogInfo` contains information to be shown in the standard About dialog displayed by the `wx.AboutBox` function. This class contains the general information about the program, such as its name, version, copyright and so on, as well as lists of the program developers, documentation writers, artists and translators.

While all the main platforms have a native implementation of the about dialog, they are often more limited than the generic version provided by wxWidgets and so the generic version is used if `wx.AboutDialogInfo` has any fields not supported by the native version. Currently GTK+ version supports all the possible fields natively but MSW and Mac versions don't support URLs, licence text nor custom icons in the about dialog and if either of those is used, wxAboutBox() will automatically use the generic version so you should avoid specifying these fields to achieve more native look and feel.

Method Summary
AboutDialogInfo | ``__init__`(self)` `wx.AboutDialogInfo` contains information to be shown in the standard About dialog displayed by the `wx.AboutBox` function.
| `__del__(self)`
| ``AddArtist`(self, artist)` Add a string to the list of artists.
| ``AddDeveloper`(self, developer)` Add a string to the list of developers.
| ``AddDocWriter`(self, docwriter)` Add a string to the list of documentation writers.
| ``AddTranslator`(self, translator)` Add a string to the list of translators.
| ``GetArtists`(*args, **kwargs)` GetArtists(self) --> list
String | ``GetCopyright`(self)` Returns the copyright value.
String | ``GetDescription`(self)` Returns the description value.
String | `GetDescriptionAndCredits(self)`
| ``GetDevelopers`(*args, **kwargs)` GetDevelopers(self) --> list
| ``GetDocWriters`(*args, **kwargs)` GetDocWriters(self) --> list
Icon | ``GetIcon`(self)` Return the current icon value.
String | ``GetLicence`(self)` Returns the licence value.
String | ``GetName`(self)` Returns the program name.
| ``GetTranslators`(*args, **kwargs)` GetTranslators(self) --> list
String | ``GetVersion`(self)` Returns the version value.
| ``GetWebSite`(self)` GetWebSite(self) --> (URL, Description)
bool | ``HasArtists`(self)` Returns `True` if any artists have been set.
bool | ``HasCopyright`(self)` Returns `True` if the copyright property has been set.
bool | ``HasDescription`(self)` Returns `True` if the description property has been set.
bool | ``HasDevelopers`(self)` Returns ``True if any developers have been set.
bool | ``HasDocWriters`(self)` Returns ``True if any documentation writers have been set.
bool | ``HasIcon`(self)` Returns `True` if the icon property has been set.
bool | ``HasLicence`(self)` Returns `True` if the licence property has been set.
bool | ``HasTranslators`(self)` Returns `True` if any translators have been set.
bool | ``HasVersion`(self)` Returns `True` if the version property has been set.
bool | `HasWebSite(self)`
bool | `IsSimple(self)`
| ``SetArtists`(self, artists)` Set the list of artists for the program.
| ``SetCopyright`(self, copyright)` Set the short string containing the program copyright information.
| ``SetDescription`(self, desc)` Set brief, but possibly multiline, description of the program.
| ``SetDevelopers`(self, developers)` Set the list of the developers of the program.
| ``SetDocWriters`(self, docwriters)` Set the list of the documentation writers.
| ``SetIcon`(self, icon)` Set the icon to be shown in the dialog.
| ``SetLicence`(self, licence)` Set the long, multiline string containing the text of the program licence.
| ``SetLicense`(self, licence)` This is the same as `SetLicence`.
| ``SetName`(self, name)` Set the name of the program.
| ``SetTranslators`(self, translators)` Sets the list of program translators.
| ``SetVersion`(self, version)` Set the version of the program.
| ``SetWebSite`(self, args)` SetWebSite(self, URL, [Description])

Property Summary
| `Artists`
| `Copyright`
| `Description`
| `Developers`
| `DocWriters`
| `Icon`
| `Licence`
| `License`
| `Name`
| `thisown`: The membership flag
| `Translators`
| `Version`
| `WebSite`

Method Details

### __init__(self)
(Constructor)

`wx.AboutDialogInfo` contains information to be shown in the standard About dialog displayed by the `wx.AboutBox` function. This class contains the general information about the program, such as its name, version, copyright and so on, as well as lists of the program developers, documentation writers, artists and translators.

While all the main platforms have a native implementation of the about dialog, they are often more limited than the generic version provided by wxWidgets and so the generic version is used if `wx.AboutDialogInfo` has any fields not supported by the native version. Currently GTK+ version supports all the possible fields natively but MSW and Mac versions don't support URLs, licence text nor custom icons in the about dialog and if either of those is used, wxAboutBox() will automatically use the generic version so you should avoid specifying these fields to achieve more native look and feel.

  Returns:
    AboutDialogInfo
  Overrides:
    `__builtin__.object.__init__`

### AddArtist(self, artist)

Add a string to the list of artists.

  Parameters:
    `artist`
    (type=String)

### AddDeveloper(self, developer)

Add a string to the list of developers.

  Parameters:
    `developer`
    (type=String)

### AddDocWriter(self, docwriter)

Add a string to the list of documentation writers.

  Parameters:
    `docwriter`
    (type=String)

### AddTranslator(self, translator)

Add a string to the list of translators.

  Parameters:
    `translator`
    (type=String)

### GetArtists(*args, **kwargs)

GetArtists(self) --> list

Returns the list od artists.

### GetCopyright(self)

Returns the copyright value.

  Returns:
    String

### GetDescription(self)

Returns the description value.

  Returns:
    String

### GetDevelopers(*args, **kwargs)

GetDevelopers(self) --> list

Returns the list of developers.

### GetDocWriters(*args, **kwargs)

GetDocWriters(self) --> list

Returns the list of documentation writers.

### GetIcon(self)

Return the current icon value.

  Returns:
    Icon

### GetLicence(self)

Returns the licence value.

  Returns:
    String

### GetName(self)

Returns the program name.

  Returns:
    String

### GetTranslators(*args, **kwargs)

GetTranslators(self) --> list

Returns the list of program translators.

### GetVersion(self)

Returns the version value.

  Returns:
    String

### GetWebSite(self)

GetWebSite(self) --> (URL, Description)

### HasArtists(self)

Returns `True` if any artists have been set.

  Returns:
    bool

### HasCopyright(self)

Returns `True` if the copyright property has been set.

  Returns:
    bool

### HasDescription(self)

Returns `True` if the description property has been set.

  Returns:
    bool

### HasDevelopers(self)

Returns ``True if any developers have been set.

  Returns:
    bool

### HasDocWriters(self)

Returns ``True if any documentation writers have been set.

  Returns:
    bool

### HasIcon(self)

Returns `True` if the icon property has been set.

  Returns:
    bool

### HasLicence(self)

Returns `True` if the licence property has been set.

  Returns:
    bool

### HasTranslators(self)

Returns `True` if any translators have been set.

  Returns:
    bool

### HasVersion(self)

Returns `True` if the version property has been set.

  Returns:
    bool

### SetArtists(self, artists)

Set the list of artists for the program.

  Parameters:
    `artists`
    (type=list)

### SetCopyright(self, copyright)

Set the short string containing the program copyright information. Notice that any occurrences of "(C)" in `copyright` will be replaced by the copyright symbol (circled C) automatically, which means that you can avoid using this symbol in the program source code which can be problematic.

  Parameters:
    `copyright`
    (type=String)

### SetDescription(self, desc)

Set brief, but possibly multiline, description of the program.

  Parameters:
    `desc`
    (type=String)

### SetDevelopers(self, developers)

Set the list of the developers of the program.

  Parameters:
    `developers`
    (type=list)

### SetDocWriters(self, docwriters)

Set the list of the documentation writers.

  Parameters:
    `docwriters`
    (type=list)

### SetIcon(self, icon)

Set the icon to be shown in the dialog. By default the icon of the main frame will be shown if the native about dialog supports custom icons. If it doesn't but a valid icon is specified using this method, the generic about dialog is used instead so you should avoid calling this function for maximally native look and feel.

  Parameters:
    `icon`
    (type=Icon)

### SetLicence(self, licence)

Set the long, multiline string containing the text of the program licence.

Only GTK+ version supports showing the licence text in the native about dialog currently so the generic version will be used under all the other platforms if this method is called. To preserve the native look and feel it is advised that you do not call this method but provide a separate menu item in the "Help" menu for displaying the text of your program licence.

  Parameters:
    `licence`
    (type=String)

### SetLicense(self, licence)

This is the same as `SetLicence`.

  Parameters:
    `licence`
    (type=String)

### SetName(self, name)

Set the name of the program. If this method is not called, the string returned by `wx.App.GetAppName` will be shown in the dialog.

  Parameters:
    `name`
    (type=String)

### SetTranslators(self, translators)

Sets the list of program translators.

  Parameters:
    `translators`
    (type=list)

### SetVersion(self, version)

Set the version of the program. The version is in free format, i.e. not necessarily in the x.y.z form but it shouldn't contain the "version" word.

  Parameters:
    `version`
    (type=String)

### SetWebSite(self, args)

SetWebSite(self, URL, [Description])

Set the web site property. The `args` parameter can either be a single string for the URL, to a 2-tuple of (URL, Description) strings.

Property Details

### Artists

  Get Method:
    `GetArtists`(*args, **kwargs)
  Set Method:
    `SetArtists`(self, artists)

### Copyright

  Get Method:
    `GetCopyright`(self)
  Set Method:
    `SetCopyright`(self, copyright)

### Description

  Get Method:
    `GetDescription`(self)
  Set Method:
    `SetDescription`(self, desc)

### Developers

  Get Method:
    `GetDevelopers`(*args, **kwargs)
  Set Method:
    `SetDevelopers`(self, developers)

### DocWriters

  Get Method:
    `GetDocWriters`(*args, **kwargs)
  Set Method:
    `SetDocWriters`(self, docwriters)

### Icon

  Get Method:
    `GetIcon`(self)
  Set Method:
    `SetIcon`(self, icon)

### Licence

  Get Method:
    `GetLicence`(self)
  Set Method:
    `SetLicence`(self, licence)

### License

  Get Method:
    `GetLicence`(self)
  Set Method:
    `SetLicence`(self, licence)

### Name

  Get Method:
    `GetName`(self)
  Set Method:
    `SetName`(self, name)

### thisown

The membership flag

### Translators

  Get Method:
    `GetTranslators`(*args, **kwargs)
  Set Method:
    `SetTranslators`(self, translators)

### Version

  Get Method:
    `GetVersion`(self)
  Set Method:
    `SetVersion`(self, version)

### WebSite

  Get Method:
    `GetWebSite`(self)
  Set Method:
    `SetWebSite`(self, args)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:55 2007 | http://epydoc.sf.net